Skip to main content
GET
/
stores
/
{storeId}
/
inventory-levels
List Inventory Levels
curl --request GET \
  --url https://api.getredo.com/v2.2/stores/{storeId}/inventory-levels \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getredo.com/v2.2/stores/{storeId}/inventory-levels"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getredo.com/v2.2/stores/{storeId}/inventory-levels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "inventory_levels": [
    {
      "id": "li_9b2c4d6e8f",
      "product": {
        "id": "prd_1a2b3c4d5e",
        "title": "Classic Cotton T-Shirt - Black / M",
        "sku": "TSH-BLK-M"
      },
      "location": {
        "id": "loc_4d8e1a2b3c",
        "name": "East Coast Warehouse"
      },
      "quantity": 1250,
      "available": 1100,
      "committed": 100,
      "reserved": 50,
      "buildable": 0,
      "total_available": 1100,
      "updated_at": "2026-03-31T18:45:00.000Z"
    }
  ]
}
{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Page-Continue
string

Page marker, from X-Page-Next header

X-Page-Size
integer

Page size, defaults to 20

Required range: 1 <= x <= 500

Path Parameters

storeId
string
required

Store ID

Example:

"64e5a8a1af49a89df37e4ee7"

Query Parameters

location_id
string

Filter by location ID (e.g. loc_...)

product_id
string

Filter by product ID (e.g. prd_...)

sku
string

Filter by product SKU

updated_at_min
string<date-time>

Minimum updated time, inclusive

updated_at_max
string<date-time>

Maximum updated time, exclusive

Response

Success

inventory_levels
Inventory Level · object[]
required